@echo off
REM  Create e-mobility floppy disk from CD
@echo Creating e-mobility driver installation diskette...
 
set FDRIVE=A:\
if "%1"=="?" goto ErrorArg
if "%1"=="-H" goto ErrorArg
if "%1"=="-h" goto ErrorArg
if "%1"=="/h" goto ErrorArg
if "%1"=="/H" goto ErrorArg
if "%1"=="b:" set FDRIVE=B:\
if "%1"=="b" set FDRIVE=B:\
if "%1"=="b:\" set FDRIVE=B:\
if "%1"=="B:" set FDRIVE=B:\
if "%1"=="B" set FDRIVE=B:\
if "%1"=="B:\" set FDRIVE=B:\
if "%2"=="" goto ALL
if "%2"=="ND45" goto ND45
if "%2"=="ND5" goto ND5
if "%2"=="ALL" goto ALL
goto ErrorArg

REM ===============================
REM Win2k NDIS5 AND Win9xNT4 NDIS4
REM ===============================
:ND45
@echo Ready to create diskette for Win2000, Win9x and WinNT4.0 on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
copy Nnemnd4.inf %FDRIVE%
copy Nnemnd4.cat %FDRIVE%
copy Oemsetup.inf %FDRIVE%
copy Nnxdisk %FDRIVE%
mkdir %FDRIVE%WinNT
mkdir %FDRIVE%WinNT\i386
copy WinNT\i386\*.* %FDRIVE%WinNT\i386
mkdir %FDRIVE%ndis5
copy ndis5\*.* %FDRIVE%ndis5

goto End



REM ===============================
REM 
REM ===============================
REM :ND5
REM if "%3"=="" goto ND5_98
REM if "%3"=="98" goto ND5_98
REM if "%3"=="2000" goto ND5_2000
REM goto ErrorArg


REM ===============================
REM Win98 and Win2K NDIS5
REM ===============================
:ND5
@echo Ready to create diskette for NDIS5 Win98 and Win2000 on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
copy ndis5\*.* %FDRIVE%

goto End



REM ===============================
REM All Drivers
REM ===============================
:ALL
@echo "Ready to create diskette for ALL Windows on floppy drive" %FDRIVE%
@echo NDIS5 Win98 path in diskette is a:\ndis5\
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
copy Nnemnd4.inf %FDRIVE%
copy Nnemnd4.cat %FDRIVE%
copy Oemsetup.inf %FDRIVE%
copy Nnxdisk %FDRIVE%
mkdir %FDRIVE%WinNT
mkdir %FDRIVE%WinNT\i386
copy WinNT\i386\*.* %FDRIVE%WinNT\i386
mkdir %FDRIVE%ndis5
copy ndis5\*.* %FDRIVE%ndis5

goto End


:ErrorArg
@echo mkNNXdsk- Creates e-mobility Driver Installation Diskette
@echo Usage: makedisk drive [NDIS]
@echo   where drive is A: or B:
@echo   where NDIS is: ND45  for NDIS4 Win9X/NT4.0 AND NDIS5 Win2K
@echo                  ND5   for NDIS5 Win2K/98
@echo                  ALL   for All of the above, NDIS5 Win98
@echo                        path in diskette is a:\ndis5\
@echo   and
@echo   Defaults: A:, NDIS4, Win95/98/NT


:End
cd \
@echo Done.
